
struct LocalizedPostSettingsFile {

    /// The page title for the post feed
    let feedTitle: String

    /// The page description for the post feed
    let feedDescription: String

    /// The path to the feed in the final website, appended with the page number
    let feedUrlPrefix: String
}

extension LocalizedPostSettingsFile: Codable { }

extension LocalizedPostSettingsFile {

    static var `default`: LocalizedPostSettingsFile {
        .init(feedTitle: "A title",
              feedDescription: "A description",
              feedUrlPrefix: "blog")
    }
}
